#ifndef __FL_DIRECTFB_EVENTFILTER_H__
#define __FL_DIRECTFB_EVENTFILTER_H__

#include <directfb.h>

class Fl_DirectFB_EventFilter {
public:
    enum EventFilterType {
        InterVideo,        
    };

    static Fl_DirectFB_EventFilter* createEventFilter(const EventFilterType& type);

public:
    /**
     * @return false means this DFBEvent has been filter by this filter.
     */
    virtual bool eventFilter(DFBEvent&) = 0;
};


#endif //__FL_DIRECTFB_EVENTFILTER_H__

